Uploaded image for project: 'FreeNAS / TrueNAS'
  1. FreeNAS / TrueNAS
  2. NAS-105297

Can Export Pool but cannot import it

    XMLWordPrintable

    Details

      Description

      On occasion I have exported the pool "tank" and later reimported.  This always worked in 11.2 releases but fails now in 11.e-U1.  I get an error message indicating thatthe mount poibt is not available.  Here's a log:

      Error: concurrent.futures.process._RemoteTraceback: 
      """
      Traceback (most recent call last):
        File "/usr/local/lib/python3.7/concurrent/futures/process.py", line 239, in _process_worker
          r = call_item.fn(*call_item.args, **call_item.kwargs)
        File "/usr/local/lib/python3.7/site-packages/middlewared/worker.py", line 95, in main_worker
          res = loop.run_until_complete(coro)
        File "/usr/local/lib/python3.7/asyncio/base_events.py", line 579, in run_until_complete
          return future.result()
        File "/usr/local/lib/python3.7/site-packages/middlewared/worker.py", line 51, in _run
          return await self._call(name, serviceobj, methodobj, params=args, job=job)
        File "/usr/local/lib/python3.7/site-packages/middlewared/worker.py", line 43, in _call
          return methodobj(*params)
        File "/usr/local/lib/python3.7/site-packages/middlewared/worker.py", line 43, in _call
          return methodobj(*params)
        File "/usr/local/lib/python3.7/site-packages/middlewared/schema.py", line 965, in nf
          return f(*args, **kwargs)
        File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/zfs.py", line 382, in import_pool
          zfs.import_pool(found, found.name, options, any_host=any_host)
        File "libzfs.pyx", line 369, in libzfs.ZFS.__exit__
        File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/zfs.py", line 382, in import_pool
          zfs.import_pool(found, found.name, options, any_host=any_host)
        File "libzfs.pyx", line 878, in libzfs.ZFS.import_pool
      libzfs.ZFSException: failed to create mountpoint
      """

      The above exception was the direct cause of the following exception:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 349, in run
          await self.future
        File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 386, in __run_body
          rv = await self.method(*([self] + args))
        File "/usr/local/lib/python3.7/site-packages/middlewared/schema.py", line 961, in nf
          return await f(*args, **kwargs)
        File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/pool.py", line 1927, in import_pool
          'cachefile': ZPOOL_CACHE_FILE,
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1127, in call
          app=app, pipes=pipes, job_on_progress_cb=job_on_progress_cb, io_thread=True,
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1074, in _call
          return await self._call_worker(name, *args)
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1094, in _call_worker
          return await self.run_in_proc(main_worker, name, args, job)
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1029, in run_in_proc
          return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1003, in run_in_executor
          return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
      libzfs.ZFSException: ('failed to create mountpoint',)

      Only way I could get my pool imported again was to upload a config (in which the pool was already imported).

        Attachments

          Attachments

            JEditor

              Issue Links

                Activity

                  People

                  Assignee:
                  waqar Waqar Ahmed
                  Reporter:
                  TooMuchData Jeff Alperin
                  Votes:
                  0 Vote for this issue
                  Watchers:
                  4 Start watching this issue

                    Dates

                    Created:
                    Updated:
                    Resolved: